Index: StyledConverter.java
===================================================================
--- StyledConverter.java	(revision 3489)
+++ StyledConverter.java	(working copy)
@@ -456,17 +457,25 @@
 		Way cycleWay = new Way(way.getId(), way.getPoints());
 		cycleWay.copyTags(way);
 
-		String name = way.getTag("name");
-		if(name != null)
-			name += " (cycleway)";
-		else
-			name = "cycleway";
-		cycleWay.addTag("name", name);
 		cycleWay.addTag("access", "no");
 		cycleWay.addTag("bicycle", "yes");
-		cycleWay.addTag("foot", "no");
 		cycleWay.addTag("mkgmap:synthesised", "yes");
 		cycleWay.addTag(onewayTagKey, "no");
+		cycleWay.deleteTag("vehicle");
+		cycleWay.deleteTag("motor_vehicle");
+		cycleWay.deleteTag("carpool");
+		cycleWay.deleteTag("delivery");
+		cycleWay.deleteTag("emergency");
+		cycleWay.deleteTag("foot");
+		cycleWay.deleteTag("goods");
+		cycleWay.deleteTag("hgv");
+		cycleWay.deleteTag("motorcar");
+		cycleWay.deleteTag("motorcycle");
+		cycleWay.deleteTag("psv");
+		cycleWay.deleteTag("route");
+		cycleWay.deleteTag("taxi");
+		cycleWay.deleteTag("bus");
+		cycleWay.deleteTag("truck");
 		return cycleWay;
 	}
 	
Index: lines
===================================================================
--- lines	(revision 3489)
+++ lines	(working copy)
@@ -11,6 +11,9 @@
 aeroway=runway [0x27 resolution 20]
 aeroway=taxiway [0x27 resolution 24]
 
+#for backwards compatibility of opposite cycleways, uncomment the following line
+#mkgmap:synthesised=yes { set name = '${name} (cycleway)' }
+
 # Assign the street name for house number search
 highway=* & name=* { set mkgmap:street='${name}' }
 
